Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225607 - Merge Review: axis
Summary: Merge Review: axis
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:44 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-24 02:26:50 UTC
mwringe: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:44:14 UTC
Fedora Merge Review: axis

http://cvs.fedora.redhat.com/viewcvs/devel/axis/
Initial Owner: pcheung@redhat.com

Comment 2 Matt Wringe 2007-04-05 20:43:00 UTC
links point to an empty file

Comment 3 Permaine Cheung 2007-04-05 21:00:47 UTC
sorry... don't know what went wrong with the upload, fixed now, please try again.

Comment 4 Matt Wringe 2007-04-10 15:47:16 UTC
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
OK
* license field matches the actual license.
OK
* license is open source-compatible.
 - use acronyms for licences where common
OK
* specfile name matches %{name}
OK
* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
X md5sums do not match

* skim the summary and description for typos, etc.
OK
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK
* license text included in package and marked with %doc
OK
* keep old changelog entries; use judgement when removing (too old?
useless?)
OK
* packages meets FHS (http://www.pathname.com/fhs/)
OK
* rpmlint on <this package>.srpm gives no output

rpmlint axis-1.2.1-2jpp.7.src.rpm
W: axis non-standard-group Development/Libraries/Java

OK, the group warning can be ignored

* changelog should be in a proper formats:
OK
* Packager tag should not be used
OK
* Vendor tag should not be used
OK
* Distribution tag should not be used
OK
* use License and not Copyright 
OK
* Summary tag should not end in a period
OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK
* specfile is legible
OK
* package successfully compiles and builds on at least x86

* BuildRequires are proper
 - builds in mock will flush out problems here
OK
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
OK
* summary should be a short and concise description of the package
OK
* description expands upon summary (don't include installation
instructions)
OK
* make sure description lines are <= 80 characters
OK
* specfile written in American English
OK
* make a -doc sub-package if necessary
OK, it contains javadoc and a manual sub-package
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
OK
* don't use %makeinstall
OK
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
OK
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
OK
* split Requires(pre,post) into two separate lines
OK
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK
* package should own all directories and files
OK
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
OK
* %clean should be present
OK
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs

rpmlint axis-1.2.1-2jpp.7.fc7.x86_64.rpm
W: axis non-standard-group Development/Libraries/Java
OK, group warnings can be ignored

rpmlint axis-javadoc-1.2.1-2jpp.7.fc7.x86_64.rpm
W: axis-javadoc non-standard-group Development/Libraries/Java
W: axis-javadoc symlink-should-be-relative /usr/share/javadoc/axis
/usr/share/javadoc/axis-1.2.1
X please fix the symlink issue

rpmlint axis-manual-1.2.1-2jpp.7.fc7.x86_64.rpm
W: axis-manual non-standard-group Development/Libraries/Java
W: axis-manual dangling-symlink /usr/share/doc/axis-manual-1.2.1/apiDocs
/usr/share/javadoc/axis
W: axis-manual symlink-should-be-relative
/usr/share/doc/axis-manual-1.2.1/apiDocs /usr/share/javadoc/axis
X please fix the symlink issues

rpmlint axis-debuginfo-1.2.1-2jpp.7.fc7.x86_64.rpm
OK


SHOULD:
* package should include license text in the package and mark it with %doc
OK
* package should build on i386
OK
* package should build in mock
OK


Comment 5 Permaine Cheung 2007-04-13 22:04:23 UTC
(In reply to comment #4)

>  - if upstream doesn't release source drops, put *clear* instructions on
>    how to generate the the source drop; ie. 
>   # svn export blah/tag blah
>   # tar cjf blah-version-src.tar.bz2 blah
> X md5sums do not match
Fixed

> rpmlint axis-javadoc-1.2.1-2jpp.7.fc7.x86_64.rpm
> W: axis-javadoc non-standard-group Development/Libraries/Java
> W: axis-javadoc symlink-should-be-relative /usr/share/javadoc/axis
> /usr/share/javadoc/axis-1.2.1
> X please fix the symlink issue
I don't think the symlink can be made relative since there is macro in there.

> 
> rpmlint axis-manual-1.2.1-2jpp.7.fc7.x86_64.rpm
> W: axis-manual non-standard-group Development/Libraries/Java
> W: axis-manual dangling-symlink /usr/share/doc/axis-manual-1.2.1/apiDocs
> /usr/share/javadoc/axis
> W: axis-manual symlink-should-be-relative
> /usr/share/doc/axis-manual-1.2.1/apiDocs /usr/share/javadoc/axis
> X please fix the symlink issues
> 
The symlink is needed to avoid duplicate files.
This symlink also includes a macro.

Updated spec file and srpm at the same location.

Comment 6 Matt Wringe 2007-04-16 14:25:30 UTC
APPROVED

Comment 7 Permaine Cheung 2007-04-16 15:29:08 UTC
Package built in brew.


Note You need to log in before you can comment on or make changes to this bug.